# QNetworkRequest Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkRequest(QNetworkRequest other)
- void QNetworkRequest(QUrl url)

### Constructor Properties

- prototype: The QNetworkRequest prototype object
- AlwaysNetwork
- PreferNetwork
- PreferCache
- AlwaysCache
- CacheLoadControl( value )
- ContentTypeHeader
- ContentLengthHeader
- LocationHeader
- LastModifiedHeader
- CookieHeader
- SetCookieHeader
- ContentDispositionHeader
- KnownHeaders( value )
- HighPriority = 1
- NormalPriority = 3
- LowPriority = 5
- Priority( value )
- HttpStatusCodeAttribute
- HttpReasonPhraseAttribute
- RedirectionTargetAttribute
- ConnectionEncryptedAttribute
- CacheLoadControlAttribute
- CacheSaveControlAttribute
- SourceIsFromCacheAttribute
- DoNotBufferUploadDataAttribute
- HttpPipeliningAllowedAttribute
- HttpPipeliningWasUsedAttribute
- CustomVerbAttribute
- CookieLoadControlAttribute
- AuthenticationReuseAttribute
- CookieSaveControlAttribute
- MaximumDownloadBufferSizeAttribute
- DownloadBufferAttribute
- SynchronousRequestAttribute
- User = 1000
- UserMax = 32767
- Attribute( value )
- Automatic = 0
- Manual
- LoadControl( value )

### Prototype Object Properties

- Object attribute(Attribute code, Object defaultValue)
- bool hasRawHeader(QByteArray headerName)
- Object header(KnownHeaders header)
- bool operator_equal(QNetworkRequest other)
- QObject originatingObject()
- Priority priority()
- QByteArray rawHeader(QByteArray headerName)
- List rawHeaderList()
- void setAttribute(Attribute code, Object value)
- void setHeader(KnownHeaders header, Object value)
- void setOriginatingObject(QObject object)
- void setPriority(Priority priority)
- void setRawHeader(QByteArray headerName, QByteArray value)
- void setSslConfiguration(QSslConfiguration configuration)
- void setUrl(QUrl url)
- QSslConfiguration sslConfiguration()
- QUrl url()

### Instance Properties

QNetworkRequest objects have no special properties beyond those inherited from the QNetworkRequest prototype object.